Bug 16358 - Rancor - Deleting records when Rancor is enabled just opens them
Summary: Rancor - Deleting records when Rancor is enabled just opens them
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-26 19:07 UTC by Jesse Weaver
Modified: 2017-06-14 22:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16358: Do not redirect to the editor when deleting records (1.77 KB, patch)
2016-09-13 14:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16358: Do not redirect to the editor when deleting records (1.83 KB, patch)
2016-10-13 07:54 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 16358: Do not redirect to the editor when deleting records (1.88 KB, patch)
2016-10-13 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2016-04-26 19:07:49 UTC
The "Delete record" button goes to addbiblio.pl?op=delete, which incorrectly redirects to Rancor when selected.
Comment 1 Jonathan Druart 2016-05-02 15:00:26 UTC
Jesse, do you plan to provide a patch (if so, please switch the status to assigned).
Comment 2 Jonathan Druart 2016-09-13 14:06:19 UTC
Created attachment 55533 [details] [review]
Bug 16358: Do not redirect to the editor when deleting records

The "Delete record" button goes to addbiblio.pl?op=delete, which
incorrectly redirects to Rancor when selected.

Test plan:
0/ Enable EnableAdvancedCatalogingEditor
1/ Edit a record
2/ Switch to the Advanced editor
3/ click on "View the record"
4/ Delete the record
=> Without this patch you are redirected to the editor
=> With this patch you are redirected to the advanced search
Comment 3 Mirko Tietgen 2016-10-13 07:54:51 UTC
Created attachment 56305 [details] [review]
Bug 16358: Do not redirect to the editor when deleting records

The "Delete record" button goes to addbiblio.pl?op=delete, which
incorrectly redirects to Rancor when selected.

Test plan:
0/ Enable EnableAdvancedCatalogingEditor
1/ Edit a record
2/ Switch to the Advanced editor
3/ click on "View the record"
4/ Delete the record
=> Without this patch you are redirected to the editor
=> With this patch you are redirected to the advanced search

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 4 Kyle M Hall 2016-10-13 15:11:20 UTC
Created attachment 56414 [details] [review]
Bug 16358: Do not redirect to the editor when deleting records

The "Delete record" button goes to addbiblio.pl?op=delete, which
incorrectly redirects to Rancor when selected.

Test plan:
0/ Enable EnableAdvancedCatalogingEditor
1/ Edit a record
2/ Switch to the Advanced editor
3/ click on "View the record"
4/ Delete the record
=> Without this patch you are redirected to the editor
=> With this patch you are redirected to the advanced search

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Brendan Gallagher 2016-10-17 23:04:37 UTC
Pushed to Master - Should be in the November 16.11 Release.  Thanks!
Comment 6 Frédéric Demians 2016-10-22 12:50:55 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 7 Julian Maurice 2016-10-24 10:32:21 UTC
Pushed in 3.22.x, will be in 3.22.12